Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### / (divide)

Examples

    int g = 50 / 5;  // Sets g 10
    int h = g / 5;   // Sets h 2

Description | Divides the value of the second parameter by the value of the first parameter. The answer to the equation 20 / 4 is 5. The number 20 is the sum of 4 of the number 5. As an equation we see that 4 + 4 + 4 + 4 + 4 = 20.

Syntax

    value1 / value2

Parameters

value1 | int or float
value2 | int or float, but not zero (it is not possible divide by zero)

Usage | Web & Application
Related | * (multiply) % (modulo)

Updated on August 30, 2010 04:29:39pm EDT